package com.huimv.getdata.service.impl;


import com.huimv.getdata.entity.voucher.ChanPinShouRu;
import com.huimv.getdata.entity.voucher.ErpVoucher;
import com.huimv.getdata.entity.voucher.JingLiRunQuShi;
import com.huimv.getdata.entity.voucher.LinJinHuanKuanQi;
import com.huimv.getdata.entity.xiaoshou.*;
import com.huimv.getdata.mapper.ErpVoucherMapper;
import com.huimv.getdata.mapper.ErpXiaoShouMapper;
import com.huimv.getdata.service.IErpVoucherService;
import com.huimv.getdata.service.IErpXiaoShouService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author author
 * @since 2025-01-03
 */
@Service
public class ErpXiaoShouServiceImpl implements IErpXiaoShouService {

    @Autowired
    private ErpXiaoShouMapper erpXiaoShouMapper;

    @Override
    public List<XiaoShouWanChenLvJinE> getWanChengLv(String date) {
        return erpXiaoShouMapper.getWanChengLv(date);
    }

    @Override
    public List<BaiFangKeHu> getBaiFangKeHu(String date) {
         return erpXiaoShouMapper.getBaiFangKeHu(date);
    }

    @Override
    public List<XiaoShouFaPiaoJinE> getXiaoShouFaPiaoJinE(String date) {
         return erpXiaoShouMapper.getXiaoShouFaPiaoJinE(date);
    }

    @Override
    public List<XiaoShouFaHuoJinEKeHuGongXian> getXiaoShouFaHuoJinEKeHuGongXian(String date) {
         return erpXiaoShouMapper.getXiaoShouFaHuoJinEKeHuGongXian(date);
    }

    @Override
    public List<XiaoShouFeiYong> getXiaoShouFeiYong(String date) {
         return erpXiaoShouMapper.getXiaoShouFeiYong(date);
    }

    @Override
    public List<YvQiHeTongMingXi> getYvQiHeTongMingXi(String date) {
         return erpXiaoShouMapper.getYvQiHeTongMingXi(date);
    }
}
